# Compatibility list for the PingFederate Authentication API and JavaScript Widget

The table below provides a comprehensive list of the integrations and PingFederate features that are currently supported by the widget.

>**Tip:** For integrations that have authentication API support, but are not yet supported by the widget, it is possible to write your own code to include that functionality into the widget.

The widget is regularly updated to support more integrations.

| Adapter/Integration                                                                                                                                        | Authentication API    | JavaScript Widget   |
|------------------------------------------------------------------------------------------------------------------------------------------------------------| :-------------------: | :-----------------: |
| [Agentless Integration Kit](https://docs.pingidentity.com/bundle/integrations/page/ygj1563994984859.html)                                                  | :heavy_check_mark:    | :heavy_check_mark:  |
| [Amazon Cloud Identity Connector](https://docs.pingidentity.com/bundle/integrations/page/btb1568414204118.html)                                            | :heavy_check_mark:    | :heavy_check_mark:  |
| [Apple Cloud Identity Connector](https://docs.pingidentity.com/bundle/integrations/page/cuf1572990949051.html)                                             | :heavy_check_mark:    | :heavy_check_mark:  |
| [Azure AD Identity Protection Integration Kit](https://docs.pingidentity.com/bundle/pingfederate-azuread-identityprotection-ik/page/dsl1633639056209.html) | :heavy_check_mark:    | :heavy_check_mark:  |
| [Duo Security (MFA)](https://docs.pingidentity.com/bundle/integrations/page/oca1563995007204.html)                                                         | :heavy_check_mark:    | :heavy_check_mark:  |
| [End User Registration](https://docs.pingidentity.com/csh?Product=pf-latest&topicname=aga1564003007414.html)                                               | :heavy_check_mark:    | :heavy_check_mark:  |
| [Entrust Identity Enterprise Integration Kit](https://docs.pingidentity.com/bundle/pingfederate-entrust-ik/page/qup1642091698958.html)                     | :heavy_check_mark:    | :heavy_check_mark:  |
| [Facebook Cloud Identity Connector](https://docs.pingidentity.com/bundle/integrations/page/bza1563995011780.html)                                          | :heavy_check_mark:    | :heavy_check_mark:  |
| [GitHub Cloud Identity Connector](https://docs.pingidentity.com/bundle/integrations/page/iyj1569865047191.html)                                            | :heavy_check_mark:    | :heavy_check_mark:  |
| [Google Cloud Identity Connector](https://docs.pingidentity.com/bundle/integrations/page/hxg1563995015946.html)                                            | :heavy_check_mark:    | :heavy_check_mark:  |
| [HTML Form Login](https://docs.pingidentity.com/csh?Product=pf-latest&topicname=xvy1564003022890.html)                                                     | :heavy_check_mark:    | :heavy_check_mark:  |
| [ID DataWeb Integration Kit](https://docs.pingidentity.com/bundle/integrations/page/ndg1577481773402.html)                                                 | :heavy_check_mark:    | :heavy_check_mark:  |
| [Identifier First](https://docs.pingidentity.com/csh?Product=pf-latest&topicname=iek1564003022460.html)                                                    | :heavy_check_mark:    | :heavy_check_mark:  |
| [Jamf Integration Kit](https://docs.pingidentity.com/bundle/integrations/page/wyg1612987868528.html)                                                       | :heavy_check_mark:    | :heavy_check_mark:  |
| [LinkedIn Cloud Identity Connector](https://docs.pingidentity.com/bundle/integrations/page/pwm1563995028175.html)                                          | :heavy_check_mark:    | :heavy_check_mark:  |
| [Magic Link Integration Kit](https://docs.pingidentity.com/r/en-us/pingfederate-magic-link-ik/pingfederate_magic_link_ik)                      | :heavy_check_mark:    | :heavy_check_mark:  |
| [Microsoft Cloud Identity Connector](https://docs.pingidentity.com/bundle/integrations/page/set1623964507521.html)                                         | :heavy_check_mark:    | :heavy_check_mark:  |
| [One-Time Passcode Integration Kit](https://docs.pingidentity.com/bundle/integrations/page/hdv1589402808052.html)                                          | :heavy_check_mark:    |                     |
| [PingOne MFA Integration Kit](https://docs.pingidentity.com/bundle/integrations/page/cal1599060087050.html)                                                | :heavy_check_mark:    | :heavy_check_mark:  |
| [PingOne Risk Management Integration Kit](https://docs.pingidentity.com/bundle/integrations/page/fnd1592583282135.html)                                    | :heavy_check_mark:    | :heavy_check_mark:  |
| [PingOne Verify Integration Kit](https://docs.pingidentity.com/bundle/integrations/page/elk1607471062724.html)                                             | :heavy_check_mark:    | :heavy_check_mark:  |
| [RSA SecurID Integration Kit](https://docs.pingidentity.com/bundle/integrations/page/ikv1563995044731.html)                                                | :heavy_check_mark:    | :heavy_check_mark:  |
| [Symantec VIP Integration Kit](https://docs.pingidentity.com/bundle/integrations/page/fvd1563995058360.html)                                               | :heavy_check_mark:    | :heavy_check_mark:  |
| [ThreatMetrix Integration Kit](https://docs.pingidentity.com/bundle/integrations/page/nnx1593461471877.html)                                               | :heavy_check_mark:    | :heavy_check_mark:  |
| [Twitter Cloud Identity Connector](https://docs.pingidentity.com/bundle/integrations/page/cav1563995059579.html)                                           | :heavy_check_mark:    | :heavy_check_mark:  |